網誌:getByUrl

依網址擷取網誌。 立即試用查看範例

如果網誌設為私人,則必須授權。如果網誌是公開的,則可不經授權呼叫這個方法。

要求

HTTP 要求

GET https://www.googleapis.com/blogger/v3/blogs/byurl

參數

參數名稱 說明
必要參數
url string 要擷取的網誌網址。

要求主體

請勿透過此方法提供要求主體。

回應

如果成功,這個方法會在回應內文中傳回 Blogs 資源

範例

注意:這個方法適用的程式設計語言眾多,我們只在此提供部分程式碼範例。如需查看所有支援語言,請參閱用戶端程式庫頁面

Java

使用 Java 用戶端程式庫

String CODE_BLOG_URL = "http://code.blogger.com/";
// Configure the Java API Client for Installed Native App
HttpTransport HTTP_TRANSPORT = new NetHttpTransport();
JsonFactory JSON_FACTORY = new JacksonFactory();

// Configure the Installed App OAuth2 flow.
Credential credential = OAuth2Native.authorize(HTTP_TRANSPORT,
JSON_FACTORY, new LocalServerReceiver(),
Arrays.asList(BloggerScopes.BLOGGER));

// Construct the Blogger API access facade object.Blogge
r blogger = Blogger.builder(HTTP_TRANSPORT, JSON_FACTORY) .setA
pplicationName("Blogger-BlogGetByUrl-Snippet/1.0") .setH
ttpRequestInitializer(credential).build();
class="devsite-syntax-c1">// The request action object.GetByU
rl blogGetByUrlAction = blogger.blogs().getByUrl(); class="devsite-syntax-c1">// Configure which blog URL to look up.blogGe
tByUrlAction.setUrl(CODE_BLOG_URL); class="devsite-syntax-c1">// Restrict the result content to just the data we need.blogGe
tByUrlAction.setFields("description,name,posts/totalItems,updated");an> class="devsite-syntax-c1">// This step sends the request to the server.Blog b
log = blogGetByUrlAction.execute(); class="devsite-syntax-c1">// Now we can navigate the response.System
.out.println("Name: " + blog.getName());System
.out.println("Description: " + blog.getDescription());System
.out.println("Post Count: " + blog.getPosts().getTotalItems());System
.out.println("Last Updated: " + blog.getUpdated());

試試看!

您可以使用下方的 API Explorer,針對即時資料呼叫這個方法,然後查看回應。